Skip to content

Export a specific set of document versions to your Vault's file staging server. The files you export go to the u{userID} folder, regardless of your security profile.

POST/api/{version}/objects/documents/versions/batch/actions/fileextract
NameDescription
Content-Typeapplication/json
Acceptapplication/json (default) or application/xml

Prepare a JSON input file with the following body parameters for each document version you wish to export:

NameDescription
idID of the document to export.
major_version_number__vThe major version number of the document to export.
minor_version_number__vThe minor version number of the document to export.
NameDescription
sourceTo exclude source files, include a query parameter source=false. If omitted, defaults to true.
renditionsTo include renditions, include a query parameter renditions=true. If omitted, defaults to false.
curl -X POST -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ --data-binary @"C:\Vault\Documents\export_document_version.json" \ https://myvault.veevavault.com/api/v21.2/objects/documents/versions/batch/actions/fileextract
{ "responseStatus": "SUCCESS", "url": "/api/v21.2/services/jobs/40604", "job_id": "40604" }

On SUCCESS, the response includes the following information: